Index: main/plugin-core-impl/src/org/ametys/plugins/core/impl/user/jdbc/CredentialsAwareJdbcUsersManager.java
===================================================================
--- main/plugin-core-impl/src/org/ametys/plugins/core/impl/user/jdbc/CredentialsAwareJdbcUsersManager.java	(revision 38980)
+++ main/plugin-core-impl/src/org/ametys/plugins/core/impl/user/jdbc/CredentialsAwareJdbcUsersManager.java	(working copy)
@@ -28,6 +28,7 @@
 import org.ametys.core.datasource.ConnectionHelper;
 import org.ametys.core.user.CredentialsAwareUsersManager;
 import org.ametys.core.util.StringUtils;
+import org.ametys.runtime.config.Config;
 import org.ametys.runtime.i18n.I18nizableText;
 import org.ametys.runtime.parameter.DefaultValidator;
 import org.ametys.runtime.parameter.ParameterHelper.ParameterType;
@@ -100,15 +101,12 @@
         String login = credentials.getLogin();
         String password = credentials.getPassword();
         
-        Connection con = null;
         PreparedStatement stmt = null;
         ResultSet rs = null;
-        try
+        
+        String dataSourceId = Config.getInstance().getValueAsString(_poolConfigParam);
+        try (Connection connection = ConnectionHelper.getConnection(dataSourceId);)
         {
-            // Effectuer la connexion à la base de données
-            // via un pool de connexion
-            con = ConnectionHelper.getConnection(_poolName);
-
             // Contruire la requête pour authentifier l'utilisateur
             String sql = "SELECT " + _parameters.get("login").getColumn() + ", " + _parameters.get("password").getColumn() + ", " + _saltColumn + " FROM " + _tableName + " WHERE " + _parameters.get("login").getColumn() + " = ?";
             if (getLogger().isDebugEnabled())
@@ -116,7 +114,7 @@
                 getLogger().debug(sql);
             }
 
-            stmt = con.prepareStatement(sql);
+            stmt = connection.prepareStatement(sql);
             stmt.setString(1, login);
 
             // Effectuer la requête
@@ -158,7 +156,6 @@
             // Fermer les ressources de connexion
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(con);
         }
     }
     
Index: main/plugin-core-impl/src/org/ametys/plugins/core/impl/user/jdbc/JdbcUsersManager.java
===================================================================
--- main/plugin-core-impl/src/org/ametys/plugins/core/impl/user/jdbc/JdbcUsersManager.java	(revision 38980)
+++ main/plugin-core-impl/src/org/ametys/plugins/core/impl/user/jdbc/JdbcUsersManager.java	(working copy)
@@ -52,6 +52,7 @@
 import org.ametys.core.user.User;
 import org.ametys.core.user.UsersManager;
 import org.ametys.core.util.CachingComponent;
+import org.ametys.runtime.config.Config;
 import org.ametys.runtime.i18n.I18nizableText;
 import org.ametys.runtime.parameter.AbstractParameterParser;
 import org.ametys.runtime.parameter.DefaultValidator;
@@ -74,8 +75,8 @@
     /** Plugin name */
     protected String _pluginName;
 
-    /** Connection pool */
-    protected String _poolName;
+    /** Configuration parameter id for the connection pool */
+    protected String _poolConfigParam;
 
     /** JDBC table name */
     protected String _tableName;
@@ -122,7 +123,7 @@
         _enumeratorManager.contextualize(_context);
         _enumeratorManager.service(_manager);
         
-        _poolName = configuration.getChild("pool").getValue();
+        _poolConfigParam = configuration.getChild("pool").getValue();
         _tableName = configuration.getChild("table").getValue("Users");
 
         _parameters = new LinkedHashMap<>();
@@ -784,11 +785,12 @@
         @SuppressWarnings("synthetic-access")
         public T runWithException() throws Exception
         {
-            Connection connection = ConnectionHelper.getConnection(_poolName);
+            String dataSourceId = Config.getInstance().getValueAsString(_poolConfigParam); 
+            
             PreparedStatement stmt = null;
             ResultSet rs = null;
             
-            try
+            try (Connection connection = ConnectionHelper.getConnection(dataSourceId))
             {
                 String sql = getSqlQuery(connection);
                 
@@ -811,7 +813,6 @@
             {
                 ConnectionHelper.cleanup(rs);
                 ConnectionHelper.cleanup(stmt);
-                ConnectionHelper.cleanup(connection);
             }
         }
         
Index: main/plugin-core-impl/src/org/ametys/plugins/core/impl/user/jdbc/ModifiableCredentialsAwareJdbcUsersManager.java
===================================================================
--- main/plugin-core-impl/src/org/ametys/plugins/core/impl/user/jdbc/ModifiableCredentialsAwareJdbcUsersManager.java	(revision 38980)
+++ main/plugin-core-impl/src/org/ametys/plugins/core/impl/user/jdbc/ModifiableCredentialsAwareJdbcUsersManager.java	(working copy)
@@ -30,6 +30,7 @@
 import org.ametys.core.datasource.ConnectionHelper;
 import org.ametys.core.user.CredentialsAwareUsersManager;
 import org.ametys.core.util.StringUtils;
+import org.ametys.runtime.config.Config;
 import org.ametys.runtime.i18n.I18nizableText;
 import org.ametys.runtime.parameter.DefaultValidator;
 import org.ametys.runtime.parameter.ParameterHelper.ParameterType;
@@ -101,15 +102,12 @@
         
         boolean updateNeeded = false;
         
-        Connection con = null;
         PreparedStatement stmt = null;
         ResultSet rs = null;
-        try
+        
+        String dataSourceId = Config.getInstance().getValueAsString(_poolConfigParam);
+        try (Connection connection = ConnectionHelper.getConnection(dataSourceId);)
         {
-            // Effectuer la connexion à la base de données
-            // via un pool de connexion
-            con = ConnectionHelper.getConnection(_poolName);
-
             // Contruire la requête pour authentifier l'utilisateur
             String sql = "SELECT " + _parameters.get("login").getColumn() + ", " + _parameters.get("password").getColumn() + ", " + _saltColumn + " FROM " + _tableName + " WHERE " + _parameters.get("login").getColumn() + " = ?";
             if (getLogger().isDebugEnabled())
@@ -117,7 +115,7 @@
                 getLogger().debug(sql);
             }
 
-            stmt = con.prepareStatement(sql);
+            stmt = connection.prepareStatement(sql);
             stmt.setString(1, login);
 
             // Effectuer la requête
@@ -172,7 +170,6 @@
             // Fermer les ressources de connexion
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(con);
             
             if (updateNeeded)
             {
@@ -189,13 +186,12 @@
     */
     protected void _updateToSSHAPassword(String login, String password)
     {
-        Connection con = null;
         PreparedStatement stmt = null;
         ResultSet rs = null;
-
-        try
+        
+        String dataSourceId = Config.getInstance().getValueAsString(_poolConfigParam);
+        try (Connection connection = ConnectionHelper.getConnection(dataSourceId);)
         {
-            con = ConnectionHelper.getConnection(_poolName);
 
             String generateSaltKey = RandomStringUtils.randomAlphanumeric(48);
             String newEncryptedPassword = DigestUtils.sha512Hex(generateSaltKey + password);
@@ -206,7 +202,7 @@
                 getLogger().debug(sqlUpdate);
             }
 
-            stmt = con.prepareStatement(sqlUpdate);
+            stmt = connection.prepareStatement(sqlUpdate);
             stmt.setString(1, newEncryptedPassword);
             stmt.setString(2, generateSaltKey);
             stmt.setString(3, login);
@@ -222,7 +218,6 @@
             // Fermer les ressources de connexion
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(con);
         }
     }
     
Index: main/plugin-core-impl/src/org/ametys/plugins/core/impl/user/jdbc/ModifiableJdbcUsersManager.java
===================================================================
--- main/plugin-core-impl/src/org/ametys/plugins/core/impl/user/jdbc/ModifiableJdbcUsersManager.java	(revision 38980)
+++ main/plugin-core-impl/src/org/ametys/plugins/core/impl/user/jdbc/ModifiableJdbcUsersManager.java	(working copy)
@@ -17,6 +17,7 @@
 
 import java.sql.Connection;
 import java.sql.PreparedStatement;
+import java.sql.ResultSet;
 import java.sql.SQLException;
 import java.util.ArrayList;
 import java.util.Collection;
@@ -34,6 +35,7 @@
 import org.ametys.core.user.InvalidModificationException;
 import org.ametys.core.user.ModifiableUsersManager;
 import org.ametys.core.user.UserListener;
+import org.ametys.runtime.config.Config;
 import org.ametys.runtime.i18n.I18nizableText;
 import org.ametys.runtime.parameter.Enumerator;
 import org.ametys.runtime.parameter.Errors;
@@ -136,7 +138,6 @@
      */
     public void add(Map<String, String> userInformation) throws InvalidModificationException
     {
-        Connection con = null;
         PreparedStatement stmt = null;
 
         if (getLogger().isDebugEnabled())
@@ -154,12 +155,10 @@
         
         String login = userInformation.get("login");
 
-        try
+        String dataSourceId = Config.getInstance().getValueAsString(_poolConfigParam);
+        try (Connection connection = ConnectionHelper.getConnection(dataSourceId);)
         {
-            // Effectuer la connexion à la base de données via un pool de connexion
-            con = ConnectionHelper.getConnection(_poolName);
-
-            stmt = createAddStatement(con, userInformation);
+            stmt = createAddStatement(connection, userInformation);
 
             // Effectuer la requête et vérifier le résultat
             if (stmt.executeUpdate() != 1)
@@ -185,7 +184,6 @@
         {
             // Fermer les ressources de connexion
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(con);
         }
     }
 
@@ -270,7 +268,6 @@
      */
     public void update(Map<String, String> userInformation) throws InvalidModificationException
     {
-        Connection con = null;
         PreparedStatement stmt = null;
 
         Map<String, Errors> errorFields = new HashMap<>();
@@ -312,13 +309,11 @@
             throw new InvalidModificationException("Cannot update without login information");
         }
 
-        try
+        String dataSourceId = Config.getInstance().getValueAsString(_poolConfigParam);
+        try (Connection connection = ConnectionHelper.getConnection(dataSourceId);)
         {
-            // Effectuer la connexion à la base de données
-            // via un pool de connexion
-            con = ConnectionHelper.getConnection(_poolName);
 
-            stmt = createModifyStatement(con, userInformation);
+            stmt = createModifyStatement(connection, userInformation);
 
             // Effectuer la requête
             if (stmt.executeUpdate() != 1)
@@ -345,7 +340,6 @@
         {
             // Fermer les ressources de connexion
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(con);
         }
     }
 
@@ -411,13 +405,11 @@
 
     public void remove(String login) throws InvalidModificationException
     {
-        Connection con = null;
         PreparedStatement stmt = null;
 
-        try
+        String dataSourceId = Config.getInstance().getValueAsString(_poolConfigParam);
+        try (Connection connection = ConnectionHelper.getConnection(dataSourceId);)
         {
-            // Effectuer la connexion à la base de données via un pool de connexion
-            con = ConnectionHelper.getConnection(_poolName);
 
             // Contruire la requête pour supprimer un utilisateur
             String sqlRequest = "DELETE FROM " + _tableName + " WHERE " + _parameters.get("login").getColumn() + " = ?";
@@ -426,7 +418,7 @@
                 getLogger().debug(sqlRequest);
             }
 
-            stmt = con.prepareStatement(sqlRequest);
+            stmt = connection.prepareStatement(sqlRequest);
             stmt.setString(1, login);
 
             // Effectuer la requête et vérifier le résultat
@@ -453,7 +445,6 @@
         {
             // Fermer les ressources de connexion
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(con);
         }
     }
 }
Index: main/plugin-core-impl/src/org/ametys/plugins/core/impl/user/ldap/LdapUsersManager.java
===================================================================
--- main/plugin-core-impl/src/org/ametys/plugins/core/impl/user/ldap/LdapUsersManager.java	(revision 38980)
+++ main/plugin-core-impl/src/org/ametys/plugins/core/impl/user/ldap/LdapUsersManager.java	(working copy)
@@ -40,6 +40,7 @@
 import javax.naming.ldap.SortControl;
 
 import org.apache.avalon.framework.component.Component;
+import org.apache.avalon.framework.configuration.Configurable;
 import org.apache.avalon.framework.configuration.Configuration;
 import org.apache.avalon.framework.configuration.ConfigurationException;
 import org.apache.avalon.framework.thread.ThreadSafe;
@@ -56,7 +57,7 @@
 /**
  * Use a ldap server for getting the list of users.
  */
-public class LdapUsersManager extends AbstractLDAPConnector implements UsersManager, ThreadSafe, Component
+public class LdapUsersManager extends AbstractLDAPConnector implements UsersManager, ThreadSafe, Component, Configurable
 {
     /** Relative DN for users. */
     protected String _usersRelativeDN;
@@ -82,8 +83,6 @@
     @Override
     public void configure(Configuration configuration) throws ConfigurationException
     {
-        super.configure(configuration);
-        
         _usersRelativeDN = _getConfigParameter(configuration, "RelativeDN");
         _usersObjectFilter = _getFilter(configuration, "Filter");
         _usersSearchScope = _getSearchScope(configuration, "SearchScope");
Index: main/plugin-core-impl/src/org/ametys/plugins/core/impl/userpref/JdbcPlainUserPreferencesStorage.java
===================================================================
--- main/plugin-core-impl/src/org/ametys/plugins/core/impl/userpref/JdbcPlainUserPreferencesStorage.java	(revision 38980)
+++ main/plugin-core-impl/src/org/ametys/plugins/core/impl/userpref/JdbcPlainUserPreferencesStorage.java	(working copy)
@@ -39,6 +39,7 @@
 import org.ametys.core.userpref.DefaultUserPreferencesStorage;
 import org.ametys.core.userpref.UserPreferencesException;
 import org.ametys.core.userpref.UserPreferencesStorage;
+import org.ametys.runtime.config.Config;
 import org.ametys.runtime.parameter.ParameterHelper;
 import org.ametys.runtime.parameter.ParameterHelper.ParameterType;
 
@@ -71,8 +72,8 @@
 public class JdbcPlainUserPreferencesStorage extends AbstractLogEnabled implements UserPreferencesStorage, ThreadSafe, Configurable
 {
     
-    /** Connection pool name. */
-    protected String _poolName;
+    /** The id of the configuration parameter corresponding to the connection pool to use. */
+    protected String _poolConfigParam;
     
     /** The database table in which the preferences are stored. */
     protected String _databaseTable;
@@ -96,7 +97,7 @@
     public void configure(Configuration configuration) throws ConfigurationException
     {
         // Default to the core pool.
-        _poolName = configuration.getChild("pool").getValue(ConnectionHelper.CORE_POOL_NAME);
+        _poolConfigParam = configuration.getChild("pool").getValue(ConnectionHelper.CORE_POOL_CONFIG_PARAM);
         // The table configuration is mandatory.
         _databaseTable = configuration.getChild("table").getValue();
         // Default to "login".
@@ -142,13 +143,12 @@
     {
         Map<String, String> prefs = new HashMap<>();
         
-        Connection connection = null;
         PreparedStatement stmt = null;
         ResultSet rs = null;
         
-        try
+        String dataSourceId = Config.getInstance().getValueAsString(_poolConfigParam);
+        try (Connection connection = ConnectionHelper.getConnection(dataSourceId);)
         {
-            connection = ConnectionHelper.getConnection(_poolName);
             
             StringBuilder query = new StringBuilder();
             query.append("SELECT * FROM ").append(_databaseTable).append(" WHERE ").append(_loginColumn).append(" = ?");
@@ -203,19 +203,17 @@
         {
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
     }
     
     @Override
     public void removeUserPreferences(String login, String storageContext, Map<String, String> contextVars) throws UserPreferencesException
     {
-        Connection connection = null;
         PreparedStatement stmt = null;
         
-        try
+        String dataSourceId = Config.getInstance().getValueAsString(_poolConfigParam);
+        try (Connection connection = ConnectionHelper.getConnection(dataSourceId);)
         {
-            connection = ConnectionHelper.getConnection(_poolName);
             
             StringBuilder query = new StringBuilder();
             query.append("DELETE FROM ").append(_databaseTable).append(" WHERE ").append(_loginColumn).append(" = ?");
@@ -243,17 +241,15 @@
         finally
         {
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
     }
     
     @Override
     public void setUserPreferences(String login, String storageContext, Map<String, String> contextVars, Map<String, String> preferences) throws UserPreferencesException
     {
-        Connection connection = null;
-        try
+        String dataSourceId = Config.getInstance().getValueAsString(_poolConfigParam);
+        try (Connection connection = ConnectionHelper.getConnection(dataSourceId);)
         {
-            connection = ConnectionHelper.getConnection(_poolName);
             
             // Test if the preferences already exist.
             if (dataExists(connection, login, storageContext))
@@ -271,10 +267,6 @@
             getLogger().error(message, e);
             throw new UserPreferencesException(message, e);
         }
-        finally
-        {
-            ConnectionHelper.cleanup(connection);
-        }
     }
     
     @Override
@@ -298,7 +290,8 @@
                     query.append(" AND ").append(_contextColumn).append(" = ?");
                 }
                 
-                connection = ConnectionHelper.getConnection(_poolName);
+                String dataSourceId = Config.getInstance().getValueAsString(_poolConfigParam);
+                connection = ConnectionHelper.getConnection(dataSourceId);
                 
                 statement = connection.prepareStatement(query.toString());
                 statement.setString(1, column);
Index: main/plugin-core-impl/src/org/ametys/plugins/core/impl/userpref/JdbcXmlUserPreferencesStorage.java
===================================================================
--- main/plugin-core-impl/src/org/ametys/plugins/core/impl/userpref/JdbcXmlUserPreferencesStorage.java	(revision 38980)
+++ main/plugin-core-impl/src/org/ametys/plugins/core/impl/userpref/JdbcXmlUserPreferencesStorage.java	(working copy)
@@ -56,6 +56,7 @@
 import org.ametys.core.userpref.DefaultUserPreferencesStorage;
 import org.ametys.core.userpref.UserPreferencesException;
 import org.ametys.core.userpref.UserPrefsHandler;
+import org.ametys.runtime.config.Config;
 import org.ametys.runtime.parameter.ParameterHelper;
 import org.ametys.runtime.parameter.ParameterHelper.ParameterType;
 
@@ -70,7 +71,7 @@
     protected SAXParser _saxParser;
     
     /** Connection pool name. */
-    protected String _poolName;
+    protected String _pool;
     
     /** The database table in which the preferences are stored. */
     protected String _databaseTable;
@@ -78,7 +79,7 @@
     @Override
     public void configure(Configuration configuration) throws ConfigurationException
     {
-        _poolName = configuration.getChild("pool").getValue(ConnectionHelper.CORE_POOL_NAME);
+        _pool = configuration.getChild("pool").getValue(ConnectionHelper.CORE_POOL_CONFIG_PARAM);
         _databaseTable = configuration.getChild("table").getValue();
     }
     
@@ -93,14 +94,13 @@
     {
         Map<String, String> prefs = new HashMap<>();
         
-        Connection connection = null;
         PreparedStatement stmt = null;
         ResultSet rs = null;
         @SuppressWarnings("resource") InputStream dataIs = null;
         
-        try
+        String dataSourceId = Config.getInstance().getValueAsString(_pool);
+        try (Connection connection = ConnectionHelper.getConnection(dataSourceId);)
         {
-            connection = ConnectionHelper.getConnection(_poolName);
             DatabaseType dbType = ConnectionHelper.getDatabaseType(connection);
             
             stmt = connection.prepareStatement("SELECT * FROM " + _databaseTable + " WHERE login = ? AND context = ?");
@@ -146,19 +146,17 @@
             IOUtils.closeQuietly(dataIs);
             ConnectionHelper.cleanup(rs);
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
     }
     
     @Override
     public void removeUserPreferences(String login, String storageContext, Map<String, String> contextVars) throws UserPreferencesException
     {
-        Connection connection = null;
         PreparedStatement stmt = null;
         
-        try
+        String dataSourceId = Config.getInstance().getValueAsString(_pool);
+        try (Connection connection = ConnectionHelper.getConnection(dataSourceId);)
         {
-            connection = ConnectionHelper.getConnection(_poolName);
             
             stmt = connection.prepareStatement("DELETE FROM " + _databaseTable + " WHERE login = ? AND context = ?");
             stmt.setString(1, login);
@@ -175,7 +173,6 @@
         finally
         {
             ConnectionHelper.cleanup(stmt);
-            ConnectionHelper.cleanup(connection);
         }
     }
     
@@ -184,8 +181,9 @@
     {
         byte[] prefBytes = _getPreferencesXmlBytes(preferences);
         
+        String dataSourceId = Config.getInstance().getValueAsString(_pool);
         try (InputStream dataIs = new ByteArrayInputStream(prefBytes);
-             Connection connection = ConnectionHelper.getConnection(_poolName))
+             Connection connection = ConnectionHelper.getConnection(dataSourceId))
         {
             
             DatabaseType dbType = ConnectionHelper.getDatabaseType(connection);
Index: main/plugin-core-ui/resources/js/Ametys/form/ConfigurableFormPanel/ParameterCheckersDAO.js
===================================================================
--- main/plugin-core-ui/resources/js/Ametys/form/ConfigurableFormPanel/ParameterCheckersDAO.js	(revision 38980)
+++ main/plugin-core-ui/resources/js/Ametys/form/ConfigurableFormPanel/ParameterCheckersDAO.js	(working copy)
@@ -558,6 +558,7 @@
 		Ext.Array.each(this._paramCheckers, function(paramChecker){
 			var button = Ext.getCmp(paramChecker.buttonId),
 				helpBox = Ext.getCmp(paramChecker.helpBoxId),
+				notTested = paramChecker.getStatus() == Ametys.form.ConfigurableFormPanel.ParameterChecker.STATUS_NOT_TESTED,
 				success = paramChecker.getStatus() == Ametys.form.ConfigurableFormPanel.ParameterChecker.STATUS_SUCCESS,
 				failure = paramChecker.getStatus() == Ametys.form.ConfigurableFormPanel.ParameterChecker.STATUS_FAILURE,
 				warning = paramChecker.getStatus() == Ametys.form.ConfigurableFormPanel.ParameterChecker.STATUS_WARNING,
@@ -568,7 +569,7 @@
 				linkedParamField._warnings = linkedParamField._warnings || {};
 				
 				var activeWarnings = linkedParamField.getActiveWarnings();
-				if (success)
+				if (success || notTested)
 				{
 					Ext.Array.remove(activeWarnings, warningMsg);
 					linkedParamField._warnings[paramChecker.id] = null;
@@ -636,7 +637,7 @@
 		{
 			Ametys.log.ErrorDialog.display({
 				title: "<i18n:text i18n:key='PLUGINS_CORE_UI_CONFIGURABLE_FORM_PARAM_CHECKER_ERROR'/>", 
-				text: nbErrors + " <i18n:text i18n:key='PLUGINS_CORE_UI_CONFIGURABLE_FORM_PARAM_CHECKER_ERROR_TEXT'/>",
+				text: nbErrors > 1 ? nbErrors + " <i18n:text i18n:key='PLUGINS_CORE_UI_CONFIGURABLE_FORM_PARAM_CHECKER_ERROR_TEXT'/>" : "<i18n:text i18n:key='PLUGINS_CORE_UI_CONFIGURABLE_FORM_PARAM_CHECKER_SINGLE_ERROR_TEXT'/>",
 	    		category: this.self.getName(),
 	    		details: details
 			});
